# Network fees

Network fees are amounts that spenders may include in their on-chain transaction in order to have it included in a block.&#x20;

There are three network fee levels available for [coin withdrawal](/guides/payouts.md) transactions.

| network\_fee\_level | block | time         |
| ------------------- | ----- | ------------ |
| `slow`              | 7     | \~1 hour     |
| `average`           | 3     | \~30 minutes |
| `fast`              | 1     | \~10 minutes |

It is a very dynamic thing, therefore each level changes its value every minute in such a way as to guarantee that the transaction will be included in a specific block within a given time frame.

Use [this API endpoint](https://reference.cryptopay.me/#tag/Coin-withdrawals/operation/coin-withdrawals.list-network-fees) to get the list of network fee levels.

```javascript
[
  {
    "level": "fast", 
    "fee": "0.00005612", 
    "currency": "BTC"
  },
  {
    "level": "average", 
    "fee": "0.00004357", 
    "currency": "BTC"
  },
  {
    "level": "slow", 
    "fee": "0.00004162", 
    "currency": "BTC"
  }
]
```

The network fee level can be specified in a [`POST /api/coin_withdrawals`](https://reference.cryptopay.me/#tag/Coin-withdrawals/operation/coin-withdrawals.create) request body.

```javascript
  "address": "2N122JKRz52gokTmaVYNiMA43qvdSqnhLGV",
  "received_currency": "BTC",
  "network_fee_level": "fast"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.cryptopay.me/guides/payouts/payout-fees-consideration/miner-fees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
